#!/bin/bash
. ./testslib.sh

#
#  INTEL CONFIDENTIAL
#
#  Copyright 2008-2013 Intel Corporation All Rights Reserved.
#
#  The source code contained or described herein and all documents related to
#  the source code ("Material") are owned by Intel Corporation or its
#  suppliers or licensors.
#
#  Title to the Material remains with Intel Corporation or its suppliers and
#  licensors. The Material contains trade secrets and proprietary and
#  confidential information of Intel or its suppliers and licensors.
#  The Material is protected by worldwide copyright and trade secret laws and
#  treaty provisions. No part of the Material may be used, copied, reproduced,
#  modified, published, uploaded, posted, transmitted, distributed,
#  or disclosed in any way without Intel's prior express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure
#  or delivery of the Materials, either expressly, by implication, inducement,
#  estoppel or otherwise. Any license under such intellectual property rights
#  must be express and approved by Intel in writing.
#

ParseTestArguments $@

Print " " 4
Print "MIC power reading test" 4 34
Print " " 4

scriptError=0

Print "Send Get NM Power Statistics command." 4
GetNMStatistics "0x01 0x04 0x00"
if [ "$errorCode" == "" ]; then
    Print "Get Node Manager Statistics command failed." 4
    scriptError=1
elif [ "$errorCode" == "00" ]; then
    Print "Command send successfully." 4
    if [ "$currentvalue" == "0000" ] || [ "$minvalue" == "0000" ] || [ "$maxvalue" == "0000" ] || [ "$avvalue" == "0000" ]; then
    Print "Some values from Get Node Manager Statistics are equal to 0:" 4
    scriptError=1
    fi
else
  Print "Get Node Manager Statistics command failed. Status : $errorCode" 4
fi


if [ $scriptError -eq 1 ]; then
    Print " " 0
    Print "TEST FAILED " 0 31
    Print " " 0
    exit 1
else 
    Print " " 4
    Print "TEST PASSED " 4 34
    Print " " 4
fi
